<?php

namespace App\JsonRpc;

interface PublicRpcServiceInterface
{
    /**
     * @param array $data
     */
    public function getDistrictList(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getUserLevelList(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function addUserLevel(array $data): array;

    public function updateUserLevel(array $data): array;

    /**
     * @param int $id
     * @return array
     */
    public function delUserLevel(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getLetterOfComplaint(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function getLetterOfComplaintInfo(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function delLetterOfComplaint(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function addLetterOfComplaint(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function upLetterOfComplaint(array $data): array;

    /**
     * 用户端更新投诉信息
     * @param array $data
     * @return array
     */
    public function userUpLetterOfComplaint(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getLetterType(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function upLetterType(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function addLetterType(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function delLetterType(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function checkMeasure(array $data): array;

    /**
     * @param array $data
     * @return array
     */

    public function getZhinengbumenList(array $data): array;

    public function getDepartment(array $data): array;



    /**
     * @param array $data
     * @return array
     */
    public function addZhinengbumen(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function delZhinengbumen(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getZhinengbumen(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getPidZhinengbumen(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function modZhinengbumen(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getBuckets(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getTemplateClassList(array $data): array;
    public function addTemplateClass(array $data): array;
    public function upTemplateClass(array $data): array;
    public function delTemplateClass(array $data): array;
    public function getTemplateClass(array $data): array;
    public function getTemplateList(array $data);
    public function getTemplateInfo(array $data);
    public function addTemplate(array $data);
    public function delTemplate(array $data);
    public function updateTemplate(array $data);
    public function getSectorList(array $data);
    public function getSectorInfo(array $data);
    public function addSector(array $data);
    public function delSector(array $data);
    public function updateSector(array $data);
    public function getComponentList(array $data);
    public function getComponentInfo(array $data);
    public function addComponent(array $data);
    public function delComponent(array $data);
    public function updateComponent(array $data);
    public function getWebsiteTemplateList(array $data);
    public function getWebsiteTemplateInfo(array $data);

    public function uploadFile(array $data): array;
    public function getBlackWordList(array $data): array;
    public function addBlackWord(array $data): array;
    public function delBlackWord(array $data): array;
    public function upBlackWord(array $data): array;
    public function getIpInfo(array $data): array;
    public function getWeatherInfo(array $data): array;
    public function getCalendar(array $data): array;
    // --------------自助建站-----------
    public function getWebPageType(array $data): array;
    public function addWebPageType(array $data): array;

    public function chooseWebsiteTemplate(array $data): array;
    public function saveWebsiteTemplate(array $data): array;
    public function getAllTemplate(array $data): array;
    public function getWebsiteTemplate(array $data): array;
    public function getAllSize(array $data): array;
    public function getSectorPlace(array $data): array;
}
